/*
 * Java-Gnome Bindings Library
 *
 * Copyright 1998-2004 the Java-Gnome Team, all rights reserved.
 *
 * The Java-Gnome bindings library is free software distributed under
 * the terms of the GNU Library General Public License version 2.
 */

package org.gnu.gdk;
import org.gnu.glib.Boxed;
/**
 *
 */
public class EventMotion extends Boxed 
{
	public EventMotion(int handle) {
		this.handle = handle;
	}

	public Window getWindow(){
		return new Window(getWindow(handle));
	}

	public boolean getSendEvent(){
		return getSendEvent(handle);
	}

	public int getTimeMillis(){
		return getTime(handle);
	}

	public double getX(){
		return getX(handle);
	}

	public double getY(){
		return getY(handle);
	}

	public ModifierType getState(){
		return ModifierType.intern(getState(handle));
	}

	public boolean isHint(){
		return getIsHint(handle) == 1;
	}

	public Device getDevice(){
		return new Device(getDevice(handle));
	}

	public double getXRoot(){
		return getXRoot(handle);
	}

	public double getYRoot(){
		return getYRoot(handle);
	}

    /****************************************
     * BEGINNING OF GENERATED CODE
     ****************************************/
    native static final protected int getType (int obj);
    native static final protected int getWindow (int obj);
    native static final protected boolean getSendEvent (int obj);
    native static final protected int getTime (int obj);
    native static final protected double getX (int obj);
    native static final protected double getY (int obj);
    native static final protected int getState (int obj);
    native static final protected int getIsHint (int obj);
    native static final protected int getDevice (int obj);
    native static final protected double getXRoot (int obj);
    native static final protected double getYRoot (int obj);
    /****************************************
     * END OF GENERATED CODE
     ****************************************/
}
