/*
 * Java-Gnome Bindings Library
 *
 * Copyright 1998-2004 the Java-Gnome Team, all rights reserved.
 *
 * The Java-Gnome bindings library is free software distributed under
 * the terms of the GNU Library General Public License version 2.
 */

package org.gnu.gtk;

import org.gnu.glib.Type;

/**
 * The GammaCurve widget displays an interactive window that enables
 * the mouse to insert and move points. The points can be plotted as
 * curves or lineraly. Selecting the button with the gamma symbol
 * enables you to alter the gamma value.
 */
public class GammaCurve extends VBox 
{
	public GammaCurve() {
		super(gtk_gamma_curve_new());
	}
	
	/**
	 * Construct a new GammaCurve from a handle to a native resource.
	 */
	public GammaCurve(int handle) {
	    super(handle);
	}
	
	public double getGamma() {
		return getGamma(getHandle());
	}
	
	/**
	 * Retrieve the runtime type used by the GLib library.
	 */
	public static Type getType() {
		return new Type(gtk_gamma_curve_get_type());
	}

    /****************************************
     * BEGINNING OF GENERATED CODE
     ****************************************/
    native static final protected int getTable (int cptr);
    native static final protected int getCurve (int cptr);
    native static final protected double getGamma (int cptr);
    native static final protected int getGammaDialog (int cptr);
    native static final protected int getGammaText (int cptr);
    native static final protected int gtk_gamma_curve_get_type ();
    native static final protected int gtk_gamma_curve_new ();
    /****************************************
     * END OF GENERATED CODE
     ****************************************/
}

