/*
 * Java-Gnome Bindings Library
 *
 * Copyright 1998-2004 the Java-Gnome Team, all rights reserved.
 *
 * The Java-Gnome bindings library is free software distributed under
 * the terms of the GNU Library General Public License version 2.
 */

package org.gnu.gtk;

import org.gnu.glib.Type;

/**
 * The ScrollBar widget is an abstract base class for {@link HScrollBar}
 * and {@link VScrollBar}. It is not very useful in itself.
 *
 * <p>The position of the thumb in a scrollbar is controlled by the scroll 
 * adjustments. See {@link Adjustment} for the fields in an adjustment - 
 * for ScrollBar, the "value" field represents the position of the scrollbar, 
 * which must be between the "lower" field and "upper - pageSize." The 
 * "pageSize" field represents the size of the visible scrollable area. The 
 * "stepIncrement" and "pageIncrement" fields are used when the user asks 
 * to step down (using the small stepper arrows) or page down (using for 
 * example the PageDown key).
 * @see VScrollBar
 * @see HScrollBar
 * @see ScrolledWindow
 */
public abstract class ScrollBar extends Range 
{
	/**
	 * Construct a ScrollBar from a handle to a native resource.
	 */
	protected ScrollBar(int handle) {
	    super(handle);
	}

	/**
	 * Retrieve the runtime type used by the GLib library.
	 */
	public static Type getType() {
		return new Type(gtk_scrollbar_get_type());
	}

    /****************************************
     * BEGINNING OF GENERATED CODE
     ****************************************/
    native static final protected int gtk_scrollbar_get_type ();
    /****************************************
     * END OF GENERATED CODE
     ****************************************/
}

