/*
 * Java-Gnome Bindings Library
 *
 * Copyright 1998-2004 the Java-Gnome Team, all rights reserved.
 *
 * The Java-Gnome bindings library is free software distributed under
 * the terms of the GNU Library General Public License version 2.
 */

package org.gnu.gtk;

import org.gnu.glib.Type;

/**
 * GtkVButtonBox is a container desinged to display a collection of
 * buttons vertically.
 * <p>The methods for manipulating this widget are all stored in it's super
 * class, ButtonBox.
 * @see ButtonBox
 * @see HButtonBox
 */
public class VButtonBox extends ButtonBox 
{
	/**
	 * Creates a new VButtonBox Object, ready to have widgets added to it.
	 */
	public VButtonBox(){
		super(gtk_vbutton_box_new());
	}
	
	/**
	 * Construct a new VButtonBox from a handle to a native resource.
	 */
	public VButtonBox(int handle) {
	    super(handle);
	}
	
	/**
	 * Retrieve the runtime type used by the GLib library.
	 */
	public static Type getType() {
		return new Type(gtk_vbutton_box_get_type());
	}

    /****************************************
     * BEGINNING OF GENERATED CODE
     ****************************************/
    native static final protected int gtk_vbutton_box_get_type ();
    native static final protected int gtk_vbutton_box_new ();
    /****************************************
     * END OF GENERATED CODE
     ****************************************/
}

